public class BankAccount {
	private String first, last;
	private double balance;
	private long acctNb;
	private final double RATE;

	public BankAccount(String first, String last, double balance, long acctNb) {
		this.first = first;
		this.last = last;
		this.balance = balance;
		this.acctNb = acctNb;
		
		RATE = 0.05;
	}	


	public String getFirst() {
		return first;
	}

	public String getLast() {
		return last;
	}

	public double getBalance() {
		return balance;
	}

	public long getAcctNb() {
		return acctNb;
	}

	public void deposit(double amount) {
		balance+= amount;
	}	

	public void withdraw(double amount) {
		balance -= amount;
	}

	public void addInterest() {
		balance += balance * RATE;
	}

	public String toString() {
		return 
		"First: " + getFirst() + "\n" + 
		"Last: " + getLast() + "\n" + 
		"Balance: " + balance + "\n" + 
		"Account nb: " + acctNb + "\n" + 
		"-----------------------------";
	}







}